View Issue Details

IDProjectCategoryView StatusLast Update
0001431SymmetricDSBugpublic2014-02-02 20:53
ReportermhanesAssigned Tomhanes 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.5.8 
Target Version3.5.9Fixed in Version3.5.9 
Summary0001431: SQLite primary keys only recognized when they are in column position 1.
DescriptionI changed AbstractSqlRowMapper from package org.jumpmind.db.platform.sqlite to recognize any value greater than 0 as a primary key ( see http://sqlite.org/pragma.html#pragma_table_info )

I don't understand why this bit of code is here. Is 99 significant?

       return v != null && (v.equals("1") || v.equals("99"));

but in any case I changed it to

       return intValue(v) > 0;

and changed intValue to catch the exception.

   protected int intValue(Object v) {
       if (v == null)
             return 0;
      try {
           return Integer.parseInt(v.toString());
       } catch( NumberFormatException ex ) {
       }
      return 0;
   }
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 431360c1

2013-10-01 12:33:35

eegeek

Details Diff
0001431: SQLite primary keys only recognized when they are in column position 1.
0001431
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/sqlite/AbstractSqlRowMapper.java Diff File

Issue History

Date Modified Username Field Change
2013-10-01 12:30 mhanes New Issue
2013-10-01 12:30 mhanes Status new => assigned
2013-10-01 12:30 mhanes Assigned To => mhanes
2013-10-10 20:00 chenson Status assigned => resolved
2013-10-10 20:00 chenson Fixed in Version => 3.5.9
2013-10-10 20:00 chenson Resolution open => fixed
2013-10-10 20:02 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7710
2015-07-30 21:49 Changeset attached => SymmetricDS master 431360c1